
Ruby - Bug #11020

Ruby 2.1.5 crashing when running rails 3.2.21

03/31/2015 03:48 PM - bjm88 (Ben Maisano)

Status: Third Party's Issue   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.1.5p273 (2014-11-13 revision

48405) [x86_64-darwin14.0]

Backport: 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2:

UNKNOWN

Description

We are in the process of upgrading our ruby on rails application to 3.2.21 and also ruby from 1.9.latest to 2.1.latest.  This process

worked fine on our test ubuntu machines.  Our developers on Mac OS x 10.10 are running into a variety of issues though doing

bundle install of depenedent libraries.  After we overcame those, we tried starting rails console via

bundle exec rails c

which results in a ruby crash.  The details and crash report are attached below.  Any information about this or hints as to what part of

code or library is causing this would be useful, thank you.

It starts and then I see this in standard out..

(process:87762): GLib-GObject-CRITICAL **: g_param_spec_pool_lookup: assertion 'pool != NULL' failed

a bunch of times...

then..

/Users/Ben/.rvm/gems/ruby-2.1.5@caredox/extensions/x86_64-darwin-14/2.1.0-static/poppler-2.1.0/poppler.bundle: [BUG]

Segmentation fault at 0x00000000000000

ruby 2.1.5p273 (2014-11-13 revision 48405) [x86_64-darwin14.0]

-- Crash Report log information --------------------------------------------

See Crash Report log file under the one of following:

* ~/Library/Logs/CrashReporter

* /Library/Logs/CrashReporter

* ~/Library/Logs/DiagnosticReports

* /Library/Logs/DiagnosticReports

for more details.

then...

-- Control frame information -----------------------------------------------

c:0020 p:-17546958559230 s:0075 e:000074 TOP    [FINISH]

c:0019 p:---- s:0073 e:000072 CFUNC  :require

c:0018 p:0010 s:0069 e:000068 BLOCK 

/Users/Ben/.rvm/gems/ruby-2.1.5@global/gems/activesupport-3.2.21/lib/active_support/dependencies.rb:251

c:0017 p:0054 s:0067 e:000066 METHOD

/Users/Ben/.rvm/gems/ruby-2.1.5@global/gems/activesupport-3.2.21/lib/active_support/dependencies.rb:236

c:0016 p:0015 s:0062 e:000061 METHOD

/Users/Ben/.rvm/gems/ruby-2.1.5@global/gems/activesupport-3.2.21/lib/active_support/dependencies.rb:251

c:0015 p:0020 s:0057 e:000056 RESCUE /Users/Ben/.rvm/gems/ruby-2.1.5@caredox/gems/poppler-2.1.0/lib/poppler.rb:42

c:0014 p:0155 s:0054 e:000053 TOP    /Users/Ben/.rvm/gems/ruby-2.1.5@caredox/gems/poppler-2.1.0/lib/poppler.rb:38 [FINISH]

c:0013 p:---- s:0046 e:000045 CFUNC  :require

c:0012 p:0037 s:0042 e:000041 BLOCK  /Users/Ben/.rvm/gems/ruby-2.1.5@global/gems/bundler-1.7.6/lib/bundler/runtime.rb:76

[FINISH]

c:0011 p:---- s:0039 e:000038 CFUNC  :each

c:0010 p:0055 s:0036 e:000035 BLOCK  /Users/Ben/.rvm/gems/ruby-2.1.5@global/gems/bundler-1.7.6/lib/bundler/runtime.rb:72

[FINISH]

c:0009 p:---- s:0029 e:000028 CFUNC  :each

c:0008 p:0030 s:0026 e:000025 METHOD /Users/Ben/.rvm/gems/ruby-2.1.5@global/gems/bundler-1.7.6/lib/bundler/runtime.rb:61

c:0007 p:0013 s:0022 e:000021 METHOD /Users/Ben/.rvm/gems/ruby-2.1.5@global/gems/bundler-1.7.6/lib/bundler.rb:133

c:0006 p:0087 s:0018 e:000017 TOP    /Users/Ben/caredoxPatch/caredox/config/application.rb:9 [FINISH]

c:0005 p:---- s:0016 e:000015 CFUNC  :require

c:0004 p:0389 s:0012 e:000011 TOP    /Users/Ben/.rvm/gems/ruby-2.1.5@caredox/gems/railties-3.2.21/lib/rails/commands.rb:39

[FINISH]

c:0003 p:---- s:0008 e:000007 CFUNC  :require

c:0002 p:0045 s:0004 E:000d48 EVAL   script/rails:6 [FINISH]

c:0001 p:0000 s:0002 E:0014b8 TOP    [FINISH]

07/17/2025 1/2



....

Application.rb 9 is this line...

Bundler.require(*Rails.groups(assets: %w(development test demo)))

History

#1 - 04/11/2015 06:52 AM - jwilmot (Jeremy Wilmot)

Looks to me like this can be closed. The crash report hints that the poppler gem was to blame for this crash and it looks like Ben has addressed this

with the poppler folks here: https://github.com/ruby-gnome2/ruby-gnome2/issues/361

Ben, can you confirm this is all set? Thanks.

#2 - 05/07/2016 12:54 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Third Party's Issue

Files
